# Close a card

Closes the card with the ID specified in the request URL. Note: this action cannot be undone. In order to be closed, the card must have one of the following statuses:  ACTIVE BLOCKED COUNTERFEIT_CARD FRAUD INACTIVE LOST NEVER_RECEIVED STOLEN

Endpoint: POST /v1/cards/{card_account_id}/close
Version: 1.0

## Path parameters:

  - `card_account_id` (string, required)

## Request fields (application/json):

  - `close_reason` (string)
    The reason why the customer is requesting to close the card.
    Enum: "EXPIRED", "CARDHOLDER_REQUEST", "DELIVERY_RETURN", "DEFECTIVE_CARD", "LOST", "LOST_IN_TRANSIT", "STOLEN", "COUNTERFEIT_PLASTIC", "ONLINE_TRANSACTION_FRAUD", "PREVENTIVE_BLOCK", "SUSPECTED_MERCHANT_FRAUD"

  - `close_comment` (string)
    Additional comments provided by the customer when requesting to close the card.
    Example: "Closing the card due to customer request"

## Response 200 fields (application/json):

  - `expiration_date` (string)
    The expiration date of the card.
    Example: "2020-12-30"

  - `new_card_ordered` (boolean)
    Boolean that indicates if a new physical card was ordered for this card resource (either for the first time or as a replacement).

  - `person_id` (string)
    ID of the cardholder person resource.
    Example: "6dceb838ea04090aaa4277c7ea8a1c78cper"

  - `account_id` (string)
    ID of the account to which the card is tied.
    Example: "6cbac416a5d91aaf5e6bc9ee15d58799cacc"

  - `business_id` (string)
    (For business cards) ID of the business with which the card is associated.
    Example: "52e6a9b8a559d842ed7d8901b0e1bf4bcbiz"

  - `sia_account_number` (string)
    SIA account number
    Example: "500000001103"

  - `creation_date` (string)
    Date when the latest plastic card for this card resource was created.
    Example: "2022-05-01"

  - `id` (string)
    ID of the card.
    Example: "2b890724292e287935420a2ca13ae7f9mcrd"

  - `status` (string)
    The current status of the card.
    Enum: "ACTIVE", "ACTIVATION_BLOCKED_BY_SOLARIS", "BLOCKED", "BLOCKED_BY_SOLARIS", "CLOSED", "CLOSED_BY_SOLARIS", "COUNTERFEIT_CARD", "FRAUD", "INACTIVE", "LOST", "NEVER_RECEIVED", "PROCESSING", "STOLEN"

  - `reference` (string)
    Unique reference number for the card.
    Example: "b92b6840d6345b11f29b598c10bae770"

  - `type` (string)
    The type of the card. Note The following enum list is not exhaustive but only indicative of some possible values.
    Enum: "MASTERCARD_DEBIT", "MASTERCARD_BUSINESS_DEBIT", "VIRTUAL_MASTERCARD_DEBIT", "VIRTUAL_MASTERCARD_BUSINESS_DEBIT", "VIRTUAL_MASTERCARD_FREELANCE_DEBIT", "VISA_DEBIT", "VISA_BUSINESS_DEBIT", "VIRTUAL_VISA_DEBIT", "VIRTUAL_VISA_BUSINESS_DEBIT", "VIRTUAL_VISA_FREELANCE_DEBIT", "VISA_CREDIT", "VIRTUAL_VISA_CREDIT", "VISA_BUSINESS_CREDIT", "VIRTUAL_VISA_BUSINESS_CREDIT"

  - `representation` (object)
    Object containing information about the cardholder, the card's masked PAN, and the formatted expiration date.

  - `representation.line_1` (string)
    The cardholder's first and last name.
    Example: "SLY STALLONE"

  - `representation.line_2` (string)
    An additional field to print another line of text on the card.  Can be used for a variety of use cases to fit your business needs.  Please note the guidelines for this field as written in the method description above.
    Example: "TEST COMPANY GMBH"

  - `representation.masked_pan` (string)
    The first six and last four digits of the card.
    Example: "537458******4567"

  - `representation.formatted_expiration_date` (string)
    The card's expiration date in MM/YY format.
    Example: "09/22"

## Response 400 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "400"

  - `code` (string)
    Example: "build_pagination_headers_failure"

  - `title` (string)
    Example: "Failed to build pagination headers."

  - `detail` (string)
    Example: "Cannot connect to database."

## Response 403 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "403"

  - `code` (string)
    Example: "unauthorized_action"

  - `title` (string)
    Example: "Unauthorized Action"

  - `detail` (string)
    Example: "Unauthorized action is not allowed."

## Response 404 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "404"

  - `code` (string)
    Example: "model_not_found"

  - `title` (string)
    Example: "Model Not Found"

  - `detail` (string)
    Example: "Partner configuration for 1333d41bdc314436b9448c24ae42eccpar not found."

## Response 500 fields (application/json):

  - `id` (string)
    Example: "e8915041-9d8c-4d96-9dd1-04e8522ecdbf"

  - `status` (string)
    Example: "500"

  - `code` (string)
    Example: "generic_error"

  - `title` (string)
    Example: "Generic Error"

  - `detail` (string)
    Example: "There was an error."


## Response default fields
